package org.xyzh.log;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.log",                 // log 模块
    "org.xyzh.common"          // 公共模块
})
public class LogApp {
    private static final Logger logger = LoggerFactory.getLogger(LogApp.class);
    
    public static void main(String[] args) {
        logger.info("======================== LogApp 启动中 =========================");
        SpringApplication.run(LogApp.class, args);
        logger.info("======================== LogApp 启动成功 =========================");
    }
}
